
Redmine - Feature #13913

Git history with first-parent only

2013-04-30 11:42 - Johannes Wienke

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Please provide a way to visualize only the first parent of each commit in the revision history for git. Depending on the workflow you

are using (feature branches without fast-forward merges to the master), this is a useful feature for getting an overview of the rough

development efforts without getting all the clutter from the feature branches.

History

#1 - 2013-04-30 11:48 - Toshi MARUYAMA

- Subject changed from Git history with first-parent only to Git/Mercurial history with first-parent only

#2 - 2013-04-30 11:49 - Toshi MARUYAMA

- Subject changed from Git/Mercurial history with first-parent only to Git history with first-parent only

#3 - 2013-05-01 10:01 - Harald Glock

+1 This would be very useful!
